<html dir="rtl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>تثبيت سكربت MyTickets</title>
<style type="text/css">
body{
	font-family: Tahoma;
	font-size: 9pt;
}
h1{
	font-size: 16pt;
	color: #C0C0C0;
	margin: 0;
}
.strong{
	color: red;
	font-weight: bold;
}
.notice {width: 620px;
	background: #FFF6BF;
	color: #514721; 
	border-color: #FFD324;
	border: 1px solid #DDD;
	margin-bottom: 1em;
	padding: 0.6em 0.8em;
	text-align: right;
}
.notice a {color: #514721;}
</style>
</head>
<body>
<center>

<h1>بناء جداول السكربت ...</h1>



<?php
	include ("../include/connect.php");
	$count = 0;


$table4 = mysql_query(
"CREATE TABLE `tickets` (
`id` int(9) NOT NULL auto_increment,
`subject` varchar(255) NOT NULL default '',
`code` varchar(255) NOT NULL default '',
`status` varchar(255) NOT NULL default '',
`text` LONGTEXT NOT NULL default '',
`section_id` varchar(10) NOT NULL default '',
`user_id` int(9) NOT NULL,
`name` varchar(255) NOT NULL default '',
`email` varchar(255) NOT NULL default '',
`ip` varchar(20) NOT NULL,
`new` varchar(10) NOT NULL default '1',
`first_read` varchar(10) NOT NULL default '',
`read_date` varchar(255) NOT NULL default '',
`date` varchar(255) NOT NULL default '',
`level` varchar(10) NOT NULL default '1',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table4){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
$table42010 = mysql_query(
"CREATE TABLE `reply` (
`id` int(9) NOT NULL auto_increment,
`subject` varchar(255) NOT NULL default '',
`text` LONGTEXT NOT NULL default '',
`ticket_id` varchar(10) NOT NULL default '',
`user_id` int(9) NOT NULL,
`name` varchar(255) NOT NULL default '',
`email` varchar(255) NOT NULL default '',
`ip` varchar(20) NOT NULL,
`date` varchar(255) NOT NULL default '',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table42010){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
	
	
	
$table4x = mysql_query(
"CREATE TABLE `section` (
`id` int(9) NOT NULL auto_increment,
`title` varchar(255) NOT NULL default '',
`desc` varchar(255) NOT NULL default '',
`only_for_members` varchar(10) NOT NULL default '2',
`groups_ids` varchar(20) NOT NULL default 'all',
`user_id` int(9) NOT NULL,
`language_id`  varchar(20) NOT NULL default 'all',
`level` int(9) NOT NULL default '1',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table4x){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}





$table6 = mysql_query(
"CREATE TABLE `languages` (
`id` int(9) NOT NULL auto_increment,
`language` varchar(255) NOT NULL default '',
`file` varchar(255) NOT NULL default '',
`style_dir` varchar(255) NOT NULL default '',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table6){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}







$table8 = mysql_query(
"CREATE TABLE `option` (
`id` int(9) NOT NULL auto_increment,
`site_name` varchar(255) NOT NULL default '',
`site_url` varchar(255) NOT NULL default '',
`meta_open` varchar(255) NOT NULL default '',
`meta_desc` TEXT NOT NULL default '',
`index_hits` int(9) NOT NULL default '0',
`close` varchar(10) NOT NULL default '',
`close_why` longtext NOT NULL default '',
`main_language` varchar(10) NOT NULL default '',
`main_group` varchar(10) NOT NULL default '',
`main_reg_group` varchar(10) NOT NULL default '',
`open_registration` varchar(10) NOT NULL default '1',
`allow_captcha` varchar(10) NOT NULL default '1',
`allow_copys` varchar(10) NOT NULL default '1',
`email_method` varchar(10) NOT NULL default '1',
`allow_rate` int(2) NOT NULL default '1',
`allow_pages` int(2) NOT NULL default '1',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table8){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}



$table12 = mysql_query(
"CREATE TABLE `members` (
`id` int(9) NOT NULL auto_increment,
`username` varchar(255) NOT NULL default '',
`password` varchar(255) NOT NULL default '',
`country` varchar(255) NOT NULL default '',
`email` varchar(255) NOT NULL default '',
`website` varchar(255) NOT NULL default '',
`last_login` varchar(255) NOT NULL default '',
`ip` varchar(255) NOT NULL default '',
`reg_date` varchar(255) NOT NULL default '',
`language` varchar(10) NOT NULL default '',
`new_password` varchar(10) NOT NULL default '2',
`group_id` varchar(10) NOT NULL default '2',
`votes` int(10) NOT NULL default '0',
`rate` int(10) NOT NULL default '0',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table12){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
$table12x = mysql_query(
"CREATE TABLE `groups` (
`id` int(9) NOT NULL auto_increment,
`name` varchar(255) NOT NULL default '',
`create_date` varchar(255) NOT NULL default '',
`top_man` varchar(10) NOT NULL default '2',
`allow_cp` varchar(10) NOT NULL default '',
`allow_add` varchar(10) NOT NULL default '',
`allow_control` varchar(10) NOT NULL default '',
`allow_options` varchar(10) NOT NULL default '2',
`allow_members` varchar(10) NOT NULL default '2',
`allow_sections` varchar(50) NOT NULL default '2',
`allowed_sections` varchar(50) NOT NULL default '2',
`allow_pages` int(2) NOT NULL default '2',
PRIMARY KEY (`id`)
 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table12x){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
	$table_pages = mysql_query(
	"CREATE TABLE `pages` (
	`id` int(9) NOT NULL auto_increment,
	`title` varchar(255) NOT NULL default '',
	`desc` varchar(255) NOT NULL default '',
	`content` LONGTEXT NOT NULL default '',
	`meta_open` varchar(255) NOT NULL default '',
	`meta_desc` varchar(255) NOT NULL default '',
	`hits` int(9) NOT NULL default '0',
	`group_id` varchar(20) NOT NULL,
	`languages_ids` varchar(20) NOT NULL default '1',
	`date` varchar(255) NOT NULL default '',
	PRIMARY KEY (`id`)
	 )TYPE=MyISAM AUTO_INCREMENT=1 ;");

	if(!$table_pages){
	echo '<br /><div class="notice">',mysql_error(),'</div><br />';
	}else{
		$count = $count+1;
	}
	
?><br />
<span>تم تنفيذ <span class="strong"><?= $count; ?></span> عملية من أصل <span class="strong">8</span> عمليات </span>
<br />
<h1>إدخال البيانات . . .</h1>
<?php
	sleep(3);
	$count = 0;
	$admin = 'admin';

	if($db->id_exist('languages','1') == false){
		$install1	= mysql_query("INSERT INTO `languages` (`language`,`file`,`style_dir`) VALUES ('العربية','Arabic.php','index')");
	}
	if($db->id_exist('option',1) == false){
	$install2	= mysql_query("INSERT INTO `option` 
	(`site_name`,`site_url`,`meta_open`,`meta_desc`,`index_hits`,`close`,`main_language`,`main_group`,`main_reg_group`,`open_registration`,`allow_copys`,`email_method`,`allow_captcha`)
	VALUES ('اسم الموقع','http://".$_SERVER["HTTP_HOST"].str_replace('/setup/install.php','',$_SERVER["REQUEST_URI"])."',
	'وصف , الموقع','وصف الموقع وصفاً مطولاً'
	,'0','2'
	,'1','3','2','1','1','1','1')");
	$install3	= mysql_query("INSERT INTO `groups` (`name`,`create_date`,`top_man`,`allow_cp`,`allow_add`,`allow_control`,`allow_options`,`allow_members`,`allow_sections`,`allowed_sections`) VALUES (
	'الإدارة',
	'".date('d-m-Y')."','1','1','1','1','1','1','1','all')");
	$install4	= mysql_query("INSERT INTO `groups` (`name`,`create_date`,`top_man`,`allow_cp`,`allow_add`,`allow_control`,`allow_options`,`allow_members`,`allow_sections`,`allowed_sections`) VALUES (
	'العملاء',
	'".date('d-m-Y')."','2','2','1','2','2','2','2','all')");
	$install5	= mysql_query("INSERT INTO `groups` (`name`,`create_date`,`top_man`,`allow_cp`,`allow_add`,`allow_control`,`allow_options`,`allow_members`,`allow_sections`,`allowed_sections`) VALUES (
	'الزوار',
	'".date('d-m-Y')."','2','2','1','2','2','2','2','all')");
	$install6	= mysql_query("INSERT INTO `section` (`title`,`desc`,`user_id`) VALUES (
	'الدعم الفني','لكافة الخدمات','1')");
	}
	
	if($db->id_exist('members',1) == false){
		$install7	= mysql_query("INSERT INTO `members` (`username`,`password`,`email`,`ip`,`reg_date`,`language`,`group_id`) VALUES (
		'admin','".md5($admin)."','admin@mail.com','".$_SERVER['REMOTE_ADDR']."','".date('d-m-Y')."','1','1')");
	}
	
	
	if($install1){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }
	if($install2){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }
	if($install3){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }
	if($install4){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }
	if($install5){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }
	if($install6){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }
	if($install7){ $count = $count+1; }else{ echo '<br /><div class="notice">',mysql_error(),'</div><br />'; }

?>

<span>تم تنفيذ <span class="strong"><?= $count; ?></span> عملية من أصل <span class="strong">7</span> عمليات</span>



<br /><br />

<br /><br />

	<div class="notice"><strong>ملاحظات : </strong><br />
	<ul><li>إذا لم يتم تنفيذ جميع الخطوات والموقع يعمل بنجاح فربما بسبب انه حصل تكرار في ادخال البيانات فلا مشكلة بذلك</li>
	<li>بعد التثبيت اذهب للوحة التحكم وقم بالدخول للإعدادات العامه وتحقق من الإعدادات انها صحيحه وتناسبك</li>
	<li>اسم المستخدم و كلمة المرور الإفتراضيان للوحة التحكم هما admin</li>
	<li>للذهاب للوحة التحكم <a href="../Administrator/">اضغط هنا</a></li>
	<li>للذهاب للموقع <a href="../index.php">اضغط هنا</a></li>
	</ul>
	</div>
<a href="http://phpx3.com" target="_blank">برمجة phpx3.com</a>
</center></body></html>